%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%global __provides_exclude perl\\(DebugTexinfo|perl\\(Texinfo|perl\\(Text::Unidecode|perl\\(Unicode
%global __requires_exclude perl\\(DebugTexinfo|perl\\(Texinfo|perl\\(Text::Unidecode|perl\\(Unicode

Name:		texinfo
Version:	6.5
Release:	%mkrel 1
Summary:	Tools needed to create Texinfo format documentation files
License:	GPLv3
Group:		Publishing
URL:		http://www.texinfo.org/
Source0:	ftp://ftp.gnu.org/pub/gnu/texinfo/%{name}-%{version}.tar.xz
Source1:	info-dir

Patch0:	texinfo-6.0-vikeys-segfault-fix.patch
Patch1: texinfo-4.12-zlib.patch
Patch2: texinfo-6.0-disable-failing-info-test.patch
Patch3: texinfo-6.1-install-info-use-create-tmp-then-rename-pattern.patch

# (anssi 01/2008) for make check:
%if %bootstrap == 0
BuildRequires:	tetex
BuildRequires:	tetex-latex
BuildRequires:	xmltex
%endif
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRequires:	help2man
Requires(pre):	info-install
Requires(preun):	info-install
Requires(post):	texlive
Requires(postun):	texlive
Conflicts:	texinfo < 5.1-4

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%package -n info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation
Group:		System/Base
Requires(pre):	info-install
Requires(preun):	info-install

%description -n	info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%package -n info-install
Summary:	Program to update the GNU texinfo documentation main page
Group:		System/Base
Requires:	xz
# explicit file provides
Provides:	/sbin/install-info
Conflicts:	dpkg < 1.16.8-6

%description -n	info-install
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.



%prep
%setup -qn %name-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-rpath

%make
rm -f util/install-info
%make -C util LIBS=%{_libdir}/libz.a


%install
rm -rf %buildroot
%makeinstall_std
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/info-dir
rm -rf %{buildroot}%{_infodir}/dir
ln -s %{_sysconfdir}/info-dir %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_bindir}/install-info %{buildroot}/sbin/install-info
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmconfig

# Doc install for the tex subpackage (from Fedora)
mkdir -p %{buildroot}%{_datadir}/texmf/tex/texinfo
install -p -m644 doc/texinfo.tex doc/txi-??.tex %{buildroot}%{_datadir}/texmf/tex/texinfo

#drop .la file
rm -rf %buildroot/%{_libdir}/texinfo/*.la

%find_lang %{name}
%find_lang %{name}_document

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%files -f %{name}.lang -f %{name}_document.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/makeinfo
%{_bindir}/texi2any
%{_infodir}/info-stnd.info*
%{_infodir}/texinfo*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texi2any.1*
%{_mandir}/man5/texinfo.5*
%{_datadir}/texinfo
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/pdftexi2dvi
%{_bindir}/pod2texi
%{_datadir}/texmf/tex/texinfo
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man1/texi2pdf.1*
%{_mandir}/man1/pod2texi.1*
%{_mandir}/man1/pdftexi2dvi.1*

%{_libdir}/texinfo/XSParagraph.a
%{_libdir}/texinfo/XSParagraph.so
%{_libdir}/texinfo/MiscXS.a
%{_libdir}/texinfo/MiscXS.so

%files -n info
%{_bindir}/info

%files -n info-install
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/info-dir
%{_infodir}/dir
/sbin/install-info
%{_mandir}/man1/info.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*


%changelog
* Sun Sep 17 2017 bb2 <bb2> - 6.5-1pclos2017
- new version

* Sun Sep 17 2017 bb2 <bb2> - 6.1-1pclos2017
- 6.1
